package com.gic.udesk.constant;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/**
 * udesk的客服工单状态
 * @ClassName: UdeskStatusEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/18 9:51 AM 
 */
public enum  UdeskStatusEnum {
    /**
     * 开启
     */
    OPEN("open", "开启", 1),
    /**
     * 解决中
     */
    SOLVING("solving", "解决中", 4),
    /**
     * 已解决
     */
    RESOLVED("resolved", "已解决", 2),
    /**
     * 已关闭
     */
    CLOSED("closed", "已关闭", 3);

    private String code;

    private String message;

    private int value;

    private UdeskStatusEnum(String code, String message, int value) {
        this.code = code;
        this.message = message;
        this.value = value;
    }

    public static List<Map<String, Object>> list() {
        List<Map<String, Object>> result = new ArrayList<>();
        for (UdeskStatusEnum permissionEnum : values()) {
            Map<String, Object> temp = new HashMap<>(4);
            temp.put("key", permissionEnum.getCode());
            temp.put("value", permissionEnum.getMessage());
            result.add(temp);
        }
        return result;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }
}
